Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.workflow.adapters
Class CollectionAdapter

    java.lang.Object
      net.sf.dropboxmq.workflow.adapters.CollectionAdapter

All Implemented Interfaces:
  EventAdapter

    public class CollectionAdapter

extends Object
implements EventAdapter

Created: 08 Nov 2010

Version:
  $Revision$, $Date$
Author:
  Dwayne Schultz

Field Summary
`static String` | `CONTENT`
`static String` | `HEADER`

Constructor Summary
`CollectionAdapter()`

Method Summary
`void` | `addAdapter(String protocol, EventAdapter adapter)`
`void` | `close()`
`static Element` | `findSingleChild(String name, Node results)`
`Collection<EventPackage>` | `processResults(Node results)`
`void` | `renderProperties(Map<String,String> properties, String protocol, Element eventElement)`
`static void` | `renderSimpleProperty(String name, String value, String elementName, Element eventElement)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTENT

    public static final String CONTENT

See Also:
  Constant Field Values

### HEADER

    public static final String HEADER

See Also:
  Constant Field Values

Constructor Detail

### CollectionAdapter

    public CollectionAdapter()

Method Detail

### addAdapter

    public void addAdapter(String protocol,
                           EventAdapter adapter)

### processResults

    public Collection<EventPackage> processResults(Node results)

  Specified by:
    `processResults` in interface `EventAdapter`

### renderProperties

    public void renderProperties(Map<String,String> properties,
                                 String protocol,
                                 Element eventElement)

  Specified by:
    `renderProperties` in interface `EventAdapter`

### renderSimpleProperty

    public static void renderSimpleProperty(String name,
                                            String value,
                                            String elementName,
                                            Element eventElement)

### findSingleChild

    public static Element findSingleChild(String name,
                                          Node results)

### close

    public void close()

  Specified by:
    `close` in interface `EventAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD